using System.Numerics;
using Encompass;
using MoonTools.Structs;

namespace PongFE.Messages
{
    public struct BallSpawnMessage : IMessage
    {
        public Position2D Position { get; }
        public Vector2 Velocity { get; }
        public int Width { get; }
        public int Height { get; }

        public BallSpawnMessage(Position2D position, Vector2 velocity, int width, int height)
        {
            Position = position;
            Velocity = velocity;
            Width = width;
            Height = height;
        }
    }
}
